Paso.h File Reference
`#include <escript/index.h>`
`#include <escript/DataTypes.h>`
`#include <escript/EsysMPI.h>`
`#include <boost/enable_shared_from_this.hpp>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Namespaces

| paso

## Macros

#define | PASO_DLL_API
#define | MATRIX_FORMAT_DEFAULT 1
#define | MATRIX_FORMAT_CSC 2
#define | MATRIX_FORMAT_BLK1 4
#define | MATRIX_FORMAT_OFFSET1 8
#define | MATRIX_FORMAT_DIAGONAL_BLOCK 32
#define | PASO_ONE (double)(1.0)
#define | PASO_ZERO (double)(0.0)

## Enumerations

enum | paso::SolverResult { paso::NoError = 0, paso::MaxIterReached, paso::InputError, paso::MemoryError, paso::Breakdown, paso::NegativeNormError, paso::Divergence }

## Macro Definition Documentation

## MATRIX_FORMAT_BLK1

#define MATRIX_FORMAT_BLK1 4

## MATRIX_FORMAT_CSC

#define MATRIX_FORMAT_CSC 2

## MATRIX_FORMAT_DEFAULT

#define MATRIX_FORMAT_DEFAULT 1

## MATRIX_FORMAT_DIAGONAL_BLOCK

#define MATRIX_FORMAT_DIAGONAL_BLOCK 32

## MATRIX_FORMAT_OFFSET1

#define MATRIX_FORMAT_OFFSET1 8

## PASO_DLL_API

#define PASO_DLL_API

## PASO_ONE

#define PASO_ONE (double)(1.0)

## PASO_ZERO

#define PASO_ZERO (double)(0.0)